module COtherProblemsVariables
    use CProblemDifinition
	implicit none    
	public 
    
    ! Input vars
    TYPE:: OtherProblemsType
        type(CProblem) :: RigAlarm
        type(CProblem) :: RigWaterSupply
        type(CProblem) :: RigAir
        type(CProblem) :: Gen1
        type(CProblem) :: Gen2
        type(CProblem) :: Gen3
        type(CProblem) :: Gen4
        type(CProblem) :: Scr1
        type(CProblem) :: Scr2
        type(CProblem) :: Scr3
        type(CProblem) :: Scr4
    end type OtherProblemsType
    contains   
    
    
    
    
    
    
    
    
    
    
    
    
    

end module COtherProblemsVariables